package com.aiosman.riderpro.ui.index

import androidx.compose.material.Icon
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Search
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.res.vectorResource
import com.aiosman.riderpro.R

sealed class NavigationItem(
    val route: String,
    val icon: @Composable () -> ImageVector,
    val selectedIcon: @Composable () -> ImageVector = icon
) {
    data object Home : NavigationItem("Home",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_home) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_home_hl) }
    )

    data object Street : NavigationItem("Street",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_location) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_location_filed) }
    )

    data object Add : NavigationItem("Add",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_post_hl) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_post_hl) }
    )

    data object Message : NavigationItem("Message",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_video_outline) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_video) }
    )

    data object Notification : NavigationItem("Notification",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_notification)},
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_notification_hl) }
    )

    data object Profile : NavigationItem("Profile",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_profile) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_profile_hl) }
    )

    data object Search : NavigationItem("Search",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_search) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_nav_search_hl) }
    )
}